import { RequestEnvelope } from 'ask-sdk-model';
/**
 * Type definition of function used by {@link S3PersistenceAdapter} to extract attributes id from {@link RequestEnvelope}.
 */
export type ObjectKeyGenerator = (requestEnvelope: RequestEnvelope) => string;
/**
 * Object containing implementations of {@link ObjectKeyGenerator}.
 */
export declare const ObjectKeyGenerators: {
    /**
     * Gets attributes id using user id.
     * @param {RequestEnvelope} requestEnvelope
     * @returns {string}
     */
    userId(requestEnvelope: RequestEnvelope): string;
    /**
     * Gets attributes id using device id.
     * @param {RequestEnvelope} requestEnvelope
     * @returns {string}
     */
    deviceId(requestEnvelope: RequestEnvelope): string;
};
